﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Xml.Linq;

[ServiceContract]
public interface IService
{
    /// <summary>
    /// Gets the RSS feed.
    /// </summary>
    /// <param name="url">The URL.</param>
    /// <returns></returns>
    [OperationContract]
    XElement GetRssFeed(string url);
    /// <summary>
    /// Gets the program.
    /// </summary>
    /// <param name="url">The URL.</param>
    /// <returns></returns>
    [OperationContract]
    Stream GetProgram(string url);
}
