﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Text;
using System.Xml.Linq;


/// <summary>
/// Service
/// </summary>
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
[ServiceBehavior(AddressFilterMode = AddressFilterMode.Any)]
public class Service : IService
{
    /// <summary>
    /// Gets the RSS feed.
    /// </summary>
    /// <param name="url">The URL.</param>
    /// <returns></returns>
    public XElement GetRssFeed(string url)
    {
        XElement rssFeed = XElement.Load(url);
        return rssFeed;
    }
    /// <summary>
    /// Gets the program.
    /// </summary>
    /// <param name="url">The URL.</param>
    /// <returns></returns>
    public Stream GetProgram(string url)
    {
        WebClient webClient = new WebClient();
        return webClient.OpenRead(url);

        /*
        //Create a web request to the url containing the image
        HttpWebRequest httpWebRequest = (HttpWebRequest)WebRequest.Create(url);

        //gets the response from the web request 
        HttpWebResponse httpWebResponse = (HttpWebResponse)(httpWebRequest).GetResponse();

        //return the stream from the URL specified earlier
        Stream stream = httpWebResponse.GetResponseStream();

        return stream;
        */
    }
    /// <summary>
    /// Converts stream to the bytes.
    /// </summary>
    /// <param name="stream">The stream.</param>
    /// <returns></returns>
    private byte[] ToBytes(Stream stream)
    {
        long initialPosition = stream.Position;
        stream.Position = 0;
        byte[] bytes = new byte[stream.Length];
        stream.Read(bytes, 0, bytes.Length);
        stream.Position = initialPosition;

        return bytes;

    }
}
///// <summary>
///// CustomHostFactory
///// </summary>
//class CustomHostFactory : ServiceHostFactory
//{
//    protected override ServiceHost CreateServiceHost(Type serviceType, Uri[] baseAddresses)
//    {
//        CustomHost customServiceHost =
//            new CustomHost(serviceType, baseAddresses.Count() > 1 ? baseAddresses[1] : baseAddresses[0]);
//        return customServiceHost;
//    }
//}
///// <summary>
///// CustomHost
///// </summary>
//class CustomHost : ServiceHost
//{
//    public CustomHost(Type serviceType, params Uri[] baseAddresses)
//        : base(serviceType, baseAddresses)
//    { }
//    protected override void ApplyConfiguration()
//    {
//        base.ApplyConfiguration();
//    }
//}